/* general style */


.carousel-container{
    color: #FFF;
    text-align: left;
    padding: 120px 62px 60px;
}

.carousel-container .home-hero__title-container .text--page-heading{
    font-family: 'RoobertLight',Calibri,Myriad,Tahoma,Geneva,Helvetica Neue,Helvetica,Arial,sans-serif;
    font-weight: 300;
    font-style: normal;
    display: block;
    line-height: 80px;
    letter-spacing: -2.72px;
    font-size: 68px;
    width: 95%;
}

.carousel-container .heroIntro{
    font-size: 18px;
    margin-top: 20px;
    line-height: 27px;
    font-family: 'Roobert',Calibri,Myriad,Tahoma,Geneva,"Helvetica Neue",Helvetica,Arial,sans-serif;
    display:block;
    font-weight: 300;
    font-style: normal;
    width: 95%;
}

.carousel-container .btn-cta{
    padding: 14px 40px !important;
}

/* END general style */

.slider-viewer{
    position: relative;
    overflow: hidden;
    min-height: 450px;
}


.sliderHeightDesk, .sliderHeightTablet, .sliderHeightMobile{
    height: auto;
}

.slider-group{
    width: 100%;
    height: 100%;
    position: relative;
}

.slide{
    width: 100%;
    height: 100%;
    position: absolute;
    display: none;
}


.home-hero-bgImage img {
    position: fixed;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
    min-width: 100%;
    min-height: 100%;
    z-index: 0;

}

.home-hero-bgImage picture{
    opacity:0;
    animation-name: opacityImgAnimation;
    animation-fill-mode: forwards;
    animation-duration: 1.5s;
}

@-webkit-keyframes opacityImgAnimation {
    0% {opacity: 0.5;}
    100% {opacity: 1;}
}
@-moz-keyframes opacityImgAnimation {
    0% {opacity: 0.5;}
    100% {opacity: 1;}
}
@-o-keyframes opacityImgAnimation {
    0% {opacity: 0.5;}
    100% {opacity: 1;}
}
@keyframes opacityImgAnimation {
    0% {opacity: 0.5;}
    100% {opacity: 1;}
}


/* ********** CURSORE ********** */

.home-hero__title-parallax{
    margin: 0 auto;
    width: auto;
    padding: 0px 60px 0px;
}


.home-hero__title-mask:before{
    content: "";
    position: absolute;
    background: #fff;
    width: 40px;
    height: 115px;
    left: 0;
    margin-top: 13px;
    display: block;
}

.home-hero__title-container{
    position: relative;
    height:auto;
    transition: margin-left 1s cubic-bezier(.23,1,.32,1) .2s;
    animation-name: title-containerAnimation;
    animation-fill-mode: forwards;
    animation-duration: 1s;
    max-width: 1024px;
    width: 1024px;
}


@-webkit-keyframes title-containerAnimation {
    0% {margin-left: 30%;}
    100% {margin-left: -60px;}
}
@-moz-keyframes title-containerAnimation {
    0% {margin-left: 30%;}
    100% {margin-left: -60px;}
}
@-o-keyframes title-containerAnimation {
    0% {margin-left: 30%}
    100% {margin-left: -60px;}
}
@keyframes title-containerAnimation {
    0% {margin-left: 30%;}
    100% {margin-left: -60px;}
}


.home-hero__title-wrap{
    box-sizing: content-box;;
}

.home-hero__title-mask {
    position:relative;
    overflow: hidden;
    min-height: 127px;
    height:auto;
    position: absolute;
    right: 0;
    width: 0;
    transition: opacity 0.4s, width 0.1s 0.6s;
    opacity: 0;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    animation-name: maskAnimation;
    animation-fill-mode: forwards;
    animation-duration: 1s;
}

.activeHeroGroup .home-hero__title-mask {
    position:relative;
    width: 100%;
    transition: width 1s 0.2s cubic-bezier(0.23, 1, 0.32, 1), opacity 0.4s 0.2s;
    opacity: 1;
}

@-webkit-keyframes fadeAnimation {
    0% {opacity: 0;}
    100% {opacity: 1;}
}
@-moz-keyframes fadeAnimation {
    0% {opacity: 0;}
    100% {opacity: 1;}
}
@-o-keyframes fadeAnimation {
    0% {opacity: 0;}
    100% {opacity: 1;}
}
@keyframes fadeAnimation {
    0% {opacity: 0;}
    100% {opacity: 1;}
}


@-webkit-keyframes maskAnimation {
    0% {width: 0; opacity: 0;}
    100% {width: 100%; opacity: 1;}
}
@-moz-keyframes maskAnimation {
    0% {width: 0; opacity: 0;}
    100% {width: 100%; opacity: 1;}
}
@-o-keyframes maskAnimation {
    0% {width: 0; opacity: 0;}
    100% {width: 100%; opacity: 1;}
}
@keyframes maskAnimation {
    0% {width: 0; opacity: 0;}
    100% {width: 100%; opacity: 1;}
}


.home-hero__title-wrap{
    position: relative;
    left: 0;
    max-width: 1024px;
    width: 1024px;
    padding-left:60px;
}

/* ********** fine CURSORE ********** */

.contentHeroBlock {
    position: relative;
    left: 50%;
    opacity: 0;
    transition: all 0.8s ease;
}

.slide.activeHeroGroup .contentHeroBlock {
    animation-name: moveAnimation;
    animation-fill-mode: forwards;
    animation-duration: 1s;
}

@-webkit-keyframes moveAnimation {
    0% {left: 50%; opacity: 0;}
    100% {left: 0; opacity: 1;}
}
@-moz-keyframes moveAnimation {
    0% {left: 50%; opacity: 0;}
    100% {left: 0; opacity: 1;}
}
@-o-keyframes moveAnimation {
    0% {left: 50%; opacity: 0;}
    100% {left: 0; opacity: 1;}
}
@keyframes moveAnimation {
    0% {left: 50%; opacity: 0;}
    100% {left: 0; opacity: 1;}
}

.btn-cta.hero-cta.calculator{
    cursor: pointer;
}

/* gestione immagini di sfondo */

.carousel-container .home-hero-bgImage picture img{
    background-color: #002466;
}


.carousel-container .home-hero-bgImage .slider-img-mobile, .carousel-container .home-hero-bgImage .slider-img-tablet{
    display:none;
}

.carousel-container .home-hero-bgImage .slider-img-desktop{
    display:block;
    transition: margin-left 1s cubic-bezier(.23,1,.32,1) .2s;
    animation-name: fadeAnimation;
    animation-fill-mode: forwards;
    animation-duration: 1s;
}

.home-hero-bgImage img{
    -webkit-transition: all 0.2s;
    transition: all 0.2s;
}

@media screen and (max-width: 768px) {

    .carousel-container .home-hero-bgImage .slider-img-desktop, .carousel-container .home-hero-bgImage .slider-img-mobile{
        display:none;
    }

    .carousel-container .home-hero-bgImage .slider-img-tablet{
        display:block;
        transition: margin-left 1s cubic-bezier(.23,1,.32,1) .2s;
        animation-name: fadeAnimation;
        animation-fill-mode: forwards;
        animation-duration: 1s;
    }

}

@media screen and (max-width: 600px) {

    .carousel-container .home-hero-bgImage .slider-img-mobile, .carousel-container .home-hero-bgImage .slider-img-tablet{
        display:none;
    }

    .carousel-container .home-hero-bgImage .slider-img-mobile{
        display:block;
        transition: margin-left 1s cubic-bezier(.23,1,.32,1) .2s;
        animation-name: fadeAnimation;
        animation-fill-mode: forwards;
        animation-duration: 1s;
    }

}


/* FINE gestione immagini di sfondo */


/* bullet */

.separatorBullet{
    height: 10px;
}

.bulletContainer {
    position: absolute;
    bottom: 20px;
    left: 50%;
    text-align: center;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    margin-left: 2px;
    z-index: 1;
}

.bullet {
    display: inline-block;
    border-radius: 10px;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    width: 18px;
    height: 18px;
    background-color: #FFF;
    opacity: 0.5;
    cursor: pointer;
    margin-right: 15px;
    -moz-transition: all;
    -o-transition: all;
    transition: all;
}

.activeBullet{
    opacity: 1;
    cursor: unset;
}

.sliderControl, .sliderControlPauseCont{
    display: inline-block;
}

.sliderControl{
    cursor: pointer;
    display: none;
}

.sliderControlPause{
    display: inline-block;
}

.sliderControlPause:before{
    font-family: icomoon;
    speak: none;
    font-style: normal;
    font-weight: 400;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    font-variant: normal;
    font-size: 20px;
    content:"\e912";
}

.sliderControlPlay{
    display: inline-block;
}


.sliderControlPlay:before{
    font-family: icomoon;
    speak: none;
    font-style: normal;
    font-weight: 400;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    font-variant: normal;
    font-size: 20px;
    content:"\e915";
}

.sliderControlPlay.sliderControlActive, .sliderControlPause.sliderControlActive{
    display:none;
}

.carousel-container .hero-cta{
    margin-top: 40px;
    margin-right: 20px;
    min-width: 207px;
    cursor: pointer;
}

/* sfondo bianco */
.sliderColorWhite .text--page-heading, .sliderColorWhite .heroIntro{
    color: #000;
}

.sliderColorWhite .btn-cta:hover, .sliderColorWhite a:hover .btn-cta{
    color: #000;
}

.sliderColorWhite .hero-cta{
    border-color: #000;
}

.sliderColorWhite .home-hero__title-mask:before{
    background: #000;
}

.sliderColorWhite .btn-cta:hover, .sliderColorWhite a:hover , .sliderColorWhite .btn-cta{
    color: #000;
}
/* FINE sfondo bianco */

@media screen and (max-width: 1024px){

    .carousel-container {
        padding: 120px 60px 60px;
    }

    .bulletContainer{
        bottom: 0;
    }

    .home-hero__title-mask{
        min-height: 117px;
    }

    .home-hero__title-mask:before {
        width: 30px;
        height: 115px;
    }

    .home-hero__title-parallax {
        padding: 0px 46px 0px;
    }


    .home-hero__title-mask:before {
        left: 14px;
    }

    .carousel-container .home-hero__title-container .text--page-heading, .carousel-container .heroIntro{
        padding-right: 90px;
    }

    .carousel-container .heroIntro{
        line-height: 27px;
        margin-bottom: 10px;
        margin-top: 20px;
        width: 100%;
    }

    .carousel-container .home-hero__title-container .text--page-heading{
        line-height: 60px;
        font-size: 58px;
        margin-top: 4px;
        width: 100%;
    }

    .slider-viewer {
        min-height: 310px;
    }

    .carousel-container .hero-cta {
        margin-top: 15px;
    }

    .limited-stock.limited-stock-doublecta {
        margin-top: 0px;
    }

}

@media screen and (max-width: 768px){

    .carousel-container {
        padding: 78px 0 25px;
    }

    .bulletContainer {
        bottom: 0;
    }

}

@media screen and (max-width: 767px){

    .home-hero__title-mask{
        min-height: 76px;
    }

    .home-hero__title-mask:before {
        width: 21px;
        height: 76px;
    }

    .home-hero__title-wrap{
        padding-left: 16px;
    }

    .carousel-container .home-hero__title-container .text--page-heading{
        font-size: 32px !important;
        line-height: 38px;
        margin-top: 5px;
        letter-spacing: -1.6px;
        width: 100%;
    }

    .carousel-container .heroIntro{
        font-family: 'RoobertLight', Calibri, Myriad, Tahoma, Geneva, "Helvetica Neue", Helvetica, Arial, sans-serif;
        font-size: 18px;
        line-height: 22px;
        width: 100%;
        margin-top: 20px;
        margin-bottom: 0px;
    }

    .home-hero__title-wrap {
        padding-left: 49px;
    }

    .carousel-container {
        padding: 78px 0 5px;
    }

    .slider-viewer {
        min-height: 300px;
    }

    .carousel-container .hero-cta {
        margin-top: 40px;
        width: 100%;
    }

    .slide.activeHeroGroup .contentHeroBlock{
        margin-left: -25px;
        margin-right: -25px;
    }

    .quote-builder__ui {
        position: fixed;
        bottom: 0px;
        width: 100%;
        background: #fff;
        z-index: 1;
    }

    .bullet{
        width: 11px;
        height: 11px;
        margin-right: 10px;
    }

    .sliderControlPlay:before {
        font-size: 13px;
        margin-left: -10px;
    }

    .sliderControlPause:before {
        font-size: 13px;
        margin-left: -2px;
    }

}


/*mgm box*/
.mgmBox {
    position: absolute;
    right: 0;
    top: 200px;
    z-index: 9999;
    width: 243px;
    padding: 20px 31px 20px 31px;
}

.mgmBox p {
    color: white;
    font-family: 'RoobertLight',Calibri,Myriad,Tahoma,Geneva,"Helvetica Neue",Helvetica,Arial,sans-serif;
    font-size: 24px;
    margin-bottom: 10px;

}

.mgmBox a {
    border: none;
    color: white;
    font-family: 'RoobertBold', Calibri, Myriad, Tahoma, Geneva, "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-weight: 600;
    font-style: normal;
    text-decoration: none;
    text-transform: uppercase;
    font-size: 12px;
}

.mgmBox a:hover {
    background: none;
}

/* ***** COMPONENTI **** */

/* pezzi limitati */


.carousel-container .cta-limited-stock .hero-cta{
    margin-top: 46px;
}

.carousel-container .slide .limitedstock-section-hp{
    padding-bottom: 0 !important;
}

.carousel-container .limited-stock{
    margin-top: 21px;
}

.carousel-container .limited-stock.limited-stock-doublecta{
    margin-top: 20px;
}

.carousel-container .limited-stock .limited-stock-cont .textPre-limited-stock{
    margin-bottom:10px;
}

.carousel-container .limited-stock .limited-stock-cont .textPost-limited-stock{
    margin-top: 10px;
    margin-bottom: 20px;
}

.carousel-container .limited-stock .textAgg-limited-stock.textAgg-limited-stock-second{
    margin-bottom: 0;
}

.carousel-container .limited-stock .textAgg-limited-stock{
    margin-top: 0;
    margin-bottom: 10px;
}

.limited-stock.limited-stock-doublecta .cta-limited-stock{
    margin-top: 40px;
}

.carousel-container .limited-stock.limited-stock-doublecta .btn-cta.hero-cta {
    width: auto;
    min-width: 232px;
    margin-top: 0;
    margin-bottom: 20px;
    font-family: 'RoobertLight',Calibri,Myriad,Tahoma,Geneva,"Helvetica Neue",Helvetica,Arial,sans-serif;
    font-weight: bold;
    margin-right: 23px;
}

.carousel-container .limited-stock .limited-stock-cont .textPre-limited-stock {
    min-height: 20px;
}

@media screen and (max-width: 1024px){

    .carousel-container .limited-stock .limited-stock-cont .textPre-limited-stock{
        margin-top:0;
    }

    .carousel-container .cta-limited-stock .hero-cta {
        margin-top: 36px;
        white-space: nowrap;
    }

    .carousel-container .limited-stock.limited-stock-doublecta {
        margin-top: 10px;
    }

    .limited-stock.limited-stock-doublecta .cta-limited-stock {
        margin-top: 0;
    }

    .carousel-container .limited-stock.limited-stock-doublecta .btn-cta.hero-cta {
        min-width: 244px;
    }

}

@media screen and (max-width: 870px){

    .carousel-container .cta-limited-stock .hero-cta{
        margin-bottom: 20px;
    }

}

@media screen and (max-width: 767px){

    .carousel-container .cta-limited-stock .hero-cta {
        margin-top: 0;
        margin-bottom: 10px;
    }

    .carousel-container .limited-stock.limited-stock-doublecta .btn-cta.hero-cta {
        min-width: 100%;
    }

    .carousel-container .limited-stock.limited-stock-doublecta {margin-top: 21px;}
    .carousel-container .hero-cta-double{
        margin-top: 20px;
    }


}


/* disabilita drg and drop su img */
.home-hero-bgImage img{
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-user-drag: none;
    user-drag: none;
    -webkit-touch-callout: none;
}

/* countdown */

.carousel-container .contentHeroBlock .count {
    margin-top: 45px;
}

.carousel-container .count a.btn-cta.hero-cta {
    margin-top: 30px;
}

.carousel-container .countdown-sep{
    display: none;
}


@media screen and (max-width: 1024px) {

    .carousel-container .count .count-table{
        min-height: 80px;
    }

}

@media screen and (max-width: 767px) {
    .carousel-container .limited-stock .textAgg-limited-stock-second{
        margin-bottom: 15px;
    }

    .carousel-container .contentHeroBlock .count {
        margin-left: auto;
        margin-right: auto;
    }

    .home .count .btn-cta.hero-cta{
        margin-right: 0;
        width: 100% !important;
    }

    .count .count-table .timer-countdown .col-countdown-r .row-countdown .luce-gas-btn .btn-cta:first-child {
        margin-right: 0px;
        float: none;
        width: 100% !important;
    }

    .count .count-table .timer-countdown .col-countdown-r .row-countdown .luce-gas-btn .btn-cta.cta-count-last {
        margin-right: 0px;
        float: none;
        margin-bottom: 30px;
        width: 100% !important;
        margin-top: 20px !important;
    }

}

.home.home-hero__title-parallax {z-index: 1;}

.slider-viewer .limited-stock .limited-stock-cont .bar-conteiner-limited-stock {
    margin-top: 15px; margin-bottom: 15px;
}

@media screen and (min-width: 768px) and (max-width: 950px){

    .slider-viewer .count .count-table .timer-countdown .row-countdown .col-countdown-l{
        width: 60%;
    }
}

.alertPromo-action{
    animation-name: alertPromo-actionAnime;
    animation-duration: 2s;
}

@keyframes alertPromo-actionAnime {
    0%   {opacity: 0;}
    100% {opacity: 1;}
}

.slide[style*="display: none"]  {
    display: none!important;
}

.slide.retro[style*="display: none"]  {
    display: block!important;
}

.activeHeroGroup ~ .slide[style*="display: none"]  {
    z-index: -1;
}

.slide[style*="display: none"] .home.home-hero__title-parallax {
    display: none!important;
}

#carousel {
    z-index: -1;
}

.home-layout > * {
    z-index: 1;
}

footer {
    z-index: 1;
}

